org.eclnt.jsfserver.bufferedcontent

## Class UploadContentServlet

- java.lang.Object
- - HttpServlet
  - - org.eclnt.jsfserver.util.CCServletBase
    - - org.eclnt.jsfserver.util.CCServletBaseWithContextMgmt
      - - org.eclnt.jsfserver.bufferedcontent.UploadContentServlet

- All Implemented Interfaces:
    ICCServerConstants

      public class UploadContentServlet
      extends CCServletBaseWithContextMgmt

- - ### Field Summary

    - ### Fields inherited from interface org.eclnt.jsfserver.util.ICCServerConstants

      `CLIENTJAVATYPE_FX, CLIENTJAVATYPE_SWING, CLIENTTYPE_APPLET, CLIENTTYPE_APPLICATION, CLIENTTYPE_BROWSER, CLIENTTYPE_RISC, CLIENTTYPE_UI5, CLIENTTYPE_WEBSTART, FOCUSSEQUENCE_FIX_PREFIX, QP_SUBPAGEID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UploadContentServlet()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `clear(HttpSession session)` Clear complete content of temp files.
    `protected void` | `processRequest(HttpServletRequest req, HttpServletResponse resp)`
    `protected void` | `processUI5Upload(HttpServletRequest req, HttpServletResponse resp, IUploadContent uploadContent)`
    `protected void` | `processUploadContentByteStream(HttpServletRequest req, IUploadContent uploadContent)`
    `protected void` | `processUploadContentFromTempFile(IUploadContent upload, java.lang.String tempFileName)`
    `protected void` | `processUploadContentMultiPart(HttpServletRequest req, IUploadContent uploadContent)`
    `protected void` | `processUploadStreamContentFromTempFile(IUploadStreamContent upload, java.lang.String tempFileName)`
    `protected java.lang.String` | `tempStoreSlice(java.lang.String sessionId, java.lang.String contentId, java.lang.String s)`

    - ### Methods inherited from class org.eclnt.jsfserver.util.CCServletBaseWithContextMgmt

      `doGet, doPost, init`

    - ### Methods inherited from class org.eclnt.jsfserver.util.CCServletBase

      `checkIfToInitializeCCEnvironment, proposeContentType, setContentType, setContentTypeInResponse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UploadContentServlet

          public UploadContentServlet()

  - ### Method Detail

    - #### processRequest

          protected void processRequest(HttpServletRequest req,
                                        HttpServletResponse resp)
                                 throws ServletException,
                                        java.io.IOException

      Specified by:
        `processRequest` in class `CCServletBaseWithContextMgmt`
      Throws:
        `ServletException`
        `java.io.IOException`

    - #### processUploadStreamContentFromTempFile

          protected void processUploadStreamContentFromTempFile(IUploadStreamContent upload,
                                                                java.lang.String tempFileName)
                                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### processUploadContentFromTempFile

          protected void processUploadContentFromTempFile(IUploadContent upload,
                                                          java.lang.String tempFileName)

    - #### tempStoreSlice

          protected java.lang.String tempStoreSlice(java.lang.String sessionId,
                                                    java.lang.String contentId,
                                                    java.lang.String s)

      Returns:
        If the data is completely uploaded (last slice): name of file name which contains the uploaded data. - If the data is not completely uploaded (interim slice) then null is returned.

    - #### processUploadContentByteStream

          protected void processUploadContentByteStream(HttpServletRequest req,
                                                        IUploadContent uploadContent)
                                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### processUploadContentMultiPart

          protected void processUploadContentMultiPart(HttpServletRequest req,
                                                       IUploadContent uploadContent)
                                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### processUI5Upload

          protected void processUI5Upload(HttpServletRequest req,
                                          HttpServletResponse resp,
                                          IUploadContent uploadContent)
                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### clear

          public static void clear(HttpSession session)

      Clear complete content of temp files.
      Parameters:
        `session` -

Copyright © CaptainCasa Gmbh. All Rights Reserved.